import { jsx } from "react/jsx-runtime";
import { DiceFourIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DiceFour = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "DiceFour", ...props, children: /* @__PURE__ */ jsx(DiceFourIcon, { weight: variant }) });
  }
);
DiceFour.displayName = "DiceFour";
Object.assign(DiceFour, { isGdsIcon: true });
export {
  DiceFour
};
